ROVER(1)

NAME
rover - text-based light-weight frontend for update-alternatives

SYNOPSIS
rover [-h] [-e|--expression EXPRESSION] [-v|--version]

DESCRIPTION
Rover is a text-based light-weight frontend for update-alternatives, which is inspired by the ranger file browser. Compared to existing graphical frontends such as galternatives and kalternatives, Rover still has the following advantages:

1.  User doesn't need to move hands off the keyboard.

2.  Zero GUI overhead, and not bound to a graphical environment.

3.  Supports searching by substring or Python regex.

OPTIONS

-h, --help
    Show the help message and exit.

-e, --expression EXPRESSION
    Filter the alternatives list initially with the given expression (substring or Python regex).

-v, --version
    Print version information.

INTERFACE LAYOUT

Left Pane (Alternative Names)
    Displays the list of configured alternatives.

Right Pane (Candidates)
    Displays the available target candidates for the highlighted alternative.

Info Pane (Details & Slaves)
    Displays detailed metadata about the highlighted candidate, including its priority, mode, and slave links.

Status Bar
    Displays feedback, current configuration details, and input prompts.

USAGE
To change the target for an alternative:

1.  Browse or search for the alternative name in the Left Pane.

2.  Press l or right to switch focus to the Right Pane.

3.  Highlight the desired candidate.

4.  Press SPACE or ENTER to set the selection. (Changing system alternatives typically requires root privileges; run rover with sudo or as root).

5.  Press h or left to return to the Left Pane.

KEYBINDING

j, ↓
    [↓] move down

k, ↑
    [↑] move up

h, ←
    [←] move left (focus Left Pane / Alternatives)

l, →
    [→] move right (focus Right Pane / Candidates)

SPACE, ENTER
    [*] select / set selection

/,? [?] search

q, ESC
    [X] quit

SEARCHING
Press / or ? to start a search. You can search by the alternative's name, its mode, or the path of a candidate. Substring matching is case-insensitive, and valid Python regular expressions are supported.

LICENSE
Copyright (C) 2018-2026 Mo Zhou <lumin@debian.org>

GPL-3.0+